com.amazonaws.services.machinelearning.model

## Class PredictRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.PredictRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class PredictRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`PredictRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PredictRequest` `addRecordEntry(String key, String value)`
`PredictRequest` `clearRecordEntries()` Removes all the entries added into Record.
`PredictRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getMLModelId()` A unique identifier of the `MLModel`.
`String` `getPredictEndpoint()`
`Map<String,String>` `getRecord()`
`int` `hashCode()`
`void` `setMLModelId(String mLModelId)` A unique identifier of the `MLModel`.
`void` `setPredictEndpoint(String predictEndpoint)`
`void` `setRecord(Map<String,String> record)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PredictRequest` `withMLModelId(String mLModelId)` A unique identifier of the `MLModel`.
`PredictRequest` `withPredictEndpoint(String predictEndpoint)`
`PredictRequest` `withRecord(Map<String,String> record)`

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PredictRequest

    public PredictRequest()

### Method Detail

#### setMLModelId

    public void setMLModelId(String mLModelId)

A unique identifier of the `MLModel`.

Parameters:
  `mLModelId` - A unique identifier of the `MLModel`.

#### getMLModelId

    public String getMLModelId()

A unique identifier of the `MLModel`.

Returns:
  A unique identifier of the `MLModel`.

#### withMLModelId

    public PredictRequest withMLModelId(String mLModelId)

A unique identifier of the `MLModel`.

Parameters:
  `mLModelId` - A unique identifier of the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getRecord

    public Map<String,String> getRecord()

Returns:

#### setRecord

    public void setRecord(Map<String,String> record)

Parameters:
  `record` -

#### withRecord

    public PredictRequest withRecord(Map<String,String> record)

Parameters:
  `record` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addRecordEntry

    public PredictRequest addRecordEntry(String key,
                                         String value)

#### clearRecordEntries

    public PredictRequest clearRecordEntries()

Removes all the entries added into Record.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPredictEndpoint

    public void setPredictEndpoint(String predictEndpoint)

Parameters:
  `predictEndpoint` -

#### getPredictEndpoint

    public String getPredictEndpoint()

Returns:

#### withPredictEndpoint

    public PredictRequest withPredictEndpoint(String predictEndpoint)

Parameters:
  `predictEndpoint` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PredictRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`